package com.antai.sport.http.server.server.api.business.roommode.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel("初始化房间对象")
public class ReqRoomInit {
    @ApiModelProperty("房间名称")
    private String name;
    @ApiModelProperty("地图key")
    private String map;
    @ApiModelProperty("赛道key")
    private String path;
    @ApiModelProperty("距离(米)")
    private BigDecimal distance;
    @ApiModelProperty("爬坡高度(米)")
    private BigDecimal climbDistance;
    @ApiModelProperty("房间是否公开 0:不公开 1:公开")
    private Boolean publicStatus ;
    @ApiModelProperty("模式: 10:竞速模式 20:道具模式")
    private Integer mode;
    @ApiModelProperty("圈数")
    private Integer cycles;
    @ApiModelProperty("用户id列表")
    private List<Long> userIdList;

}
