package com.antai.sport.http.server.server.api.business.traininglog.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@ApiModel("用户训练详情关联排名")
public class TrainingDetailRankVO {
    @ApiModelProperty("用户Id")
    private Long playerId;
    @ApiModelProperty("昵称")
    private String nickname;
    @ApiModelProperty("头像")
    private String avatar;
    @ApiModelProperty("比赛名次")
    private Integer gameRank;
    @ApiModelProperty("用时(秒)")
    private Integer duration;
    @ApiModelProperty("骑行总长度")
    private BigDecimal distance;
    @ApiModelProperty("爬坡高度")
    private BigDecimal climbDistance;
    @ApiModelProperty("平均功率")
    private BigDecimal avgFtp;
    @ApiModelProperty("平均速度")
    private BigDecimal avgSpeed;
    @ApiModelProperty("完成时间 yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public LocalDateTime finishTime;

    @ApiModelProperty("体重")
    private BigDecimal weight;
    @ApiModelProperty("1分钟平均最佳FTP")
    private BigDecimal oneMinutesFtp;
    @ApiModelProperty("5分钟平均最佳FTP")
    private BigDecimal fiveMinutesFtp;
    @ApiModelProperty("20分钟平均最佳FTP")
    private BigDecimal twentyMinutesFtp;
    @ApiModelProperty("1分钟平均最佳功体比")
    private BigDecimal oneMinutesWkg;
    @ApiModelProperty("5分钟平均最佳功体比")
    private BigDecimal fiveMinutesWkg;
    @ApiModelProperty("20分钟平均最佳功体比")
    private BigDecimal twentyMinutesWkg;
    @ApiModelProperty("得分")
    private BigDecimal score;
    @ApiModelProperty("比赛状态10:未完成比赛 20:完成比赛")
    private Integer status;
}
